Skip to content
Fulfillment & ShippingZones

Get shipping zone

Returns one shipping zone with its country, province, city, district, and postal-code selectors.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/shipping/zones/7204558912004321806" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004321806",  "storeId": "7204558912004327977",  "code": "POL-001",  "name": "Envío estándar",  "description": "Polo de algodón pima para uso diario.",  "countryCodes": [    "Envío estándar"  ],  "provinceCodes": [    "Envío estándar"  ],  "cityNames": [    "Envío estándar"  ],  "districtNames": [    "Envío estándar"  ],  "postalCodes": [    "15074"  ],  "isActive": true,  "createdOn": "2026-09-28T15:30:00Z",  "updatedOn": "2026-09-28T15:30:00Z"}